import { program, Command } from 'commander';
import fs from 'fs';
import './command/check/index.ts';

// 将多个子命令加入主程序中
let version = '0.0.1';
try {
  // @ts-ignore
  if (ENVISION_VERSION) version = ENVISION_VERSION;
} catch (e) {}
// @ts-ignore
program.name('silky').description('A CLI tool with silky').version(version, '-v, --version', 'output the current version');

export { program, Command };

/**
 * 在命令行中运行程序
 * 当前命令参数去执行 其他的应用模块
 * @param args
 */
export const runProgram = (args: string[]) => {
  const [_app, _command] = process.argv;
  program.parse([_app, _command, ...args]);
};
